hdf5-1.8.15: Haskell interface to the HDF5 scientific data storage library.

Safe Haskell | None
Language | Haskell2010

Bindings.HDF5.PropertyList.DCPL

# Documentation

module Bindings.HDF5.PropertyList.OCPL

data DCPL Source #

#### Instances

Instances details

Eq DCPL Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods (==) :: DCPL -> DCPL -> Bool Source # (/=) :: DCPL -> DCPL -> Bool Source #
HDFResultType DCPL Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods isError :: DCPL -> Bool Source #
FromHId DCPL Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods uncheckedFromHId :: HId_t -> DCPL Source #
HId DCPL Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods hid :: DCPL -> HId_t Source #
PropertyList DCPL Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods staticPlistClass :: Tagged DCPL PropertyListClassID Source #
PropertyListOrClass DCPL Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL
DatasetCreationPropertyList DCPL Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL
ObjectCreationPropertyList DCPL Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL

class ObjectCreationPropertyList t => DatasetCreationPropertyList t Source #

#### Instances

Instances details

DatasetCreationPropertyList DCPL Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL

data Layout Source #

Constructors

CompactLayout |
ContiguousLayout |
ChunkedLayout |

#### Instances

Instances details

Bounded Layout Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods minBound :: Layout Source # maxBound :: Layout Source #
Enum Layout Source # |

Instance details

Defined in Bindings.HDF5.PropertyList.DCPL

Methods

succ :: Layout -> Layout Source #

pred :: Layout -> Layout Source #

toEnum :: Int -> Layout Source #

fromEnum :: Layout -> Int Source #

enumFrom :: Layout -> [Layout] Source #

enumFromThen :: Layout -> Layout -> [Layout] Source #

enumFromTo :: Layout -> Layout -> [Layout] Source #

enumFromThenTo :: Layout -> Layout -> Layout -> [Layout] Source #

Read Layout Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods readsPrec :: Int -> ReadS Layout Source # readList :: ReadS [Layout] Source # readPrec :: ReadPrec Layout Source # readListPrec :: ReadPrec [Layout] Source #
Show Layout Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods showsPrec :: Int -> Layout -> ShowS Source # show :: Layout -> String Source # showList :: [Layout] -> ShowS Source #
Eq Layout Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods (==) :: Layout -> Layout -> Bool Source # (/=) :: Layout -> Layout -> Bool Source #
Ord Layout Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods compare :: Layout -> Layout -> Ordering Source # (<) :: Layout -> Layout -> Bool Source # (<=) :: Layout -> Layout -> Bool Source # (>) :: Layout -> Layout -> Bool Source # (>=) :: Layout -> Layout -> Bool Source # max :: Layout -> Layout -> Layout Source # min :: Layout -> Layout -> Layout Source #

setLayout :: DatasetCreationPropertyList t => t -> Layout -> IO () Source #

getLayout :: DatasetCreationPropertyList t => t -> IO Layout Source #

setChunk :: DatasetCreationPropertyList t => t -> [HSize] -> IO () Source #

getChunk :: DatasetCreationPropertyList t => t -> IO [HSize] Source #

setExternal :: DatasetCreationPropertyList t => t -> ByteString -> COff -> HSize -> IO () Source #

getExternalCount :: DatasetCreationPropertyList t => t -> IO CInt Source #

getExternalN :: DatasetCreationPropertyList t => t -> CUInt -> CSize -> IO (ByteString, COff, HSize) Source #

getExternal :: DatasetCreationPropertyList t => t -> CUInt -> IO (ByteString, COff, HSize) Source #

setSZip :: DatasetCreationPropertyList t => t -> CUInt -> CUInt -> IO () Source #

setShuffle :: DatasetCreationPropertyList t => t -> IO () Source #

setNBit :: DatasetCreationPropertyList t => t -> IO () Source #

data ScaleType Source #

Constructors

FloatDScale |
FloatEScale |
IntScale |

#### Instances

Instances details

Bounded ScaleType Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods minBound :: ScaleType Source # maxBound :: ScaleType Source #
Enum ScaleType Source # |

Instance details

Defined in Bindings.HDF5.PropertyList.DCPL

Methods

succ :: ScaleType -> ScaleType Source #

pred :: ScaleType -> ScaleType Source #

toEnum :: Int -> ScaleType Source #

fromEnum :: ScaleType -> Int Source #

enumFrom :: ScaleType -> [ScaleType] Source #

enumFromThen :: ScaleType -> ScaleType -> [ScaleType] Source #

enumFromTo :: ScaleType -> ScaleType -> [ScaleType] Source #

enumFromThenTo :: ScaleType -> ScaleType -> ScaleType -> [ScaleType] Source #

Read ScaleType Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods readsPrec :: Int -> ReadS ScaleType Source # readList :: ReadS [ScaleType] Source # readPrec :: ReadPrec ScaleType Source # readListPrec :: ReadPrec [ScaleType] Source #
Show ScaleType Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods showsPrec :: Int -> ScaleType -> ShowS Source # show :: ScaleType -> String Source # showList :: [ScaleType] -> ShowS Source #
Eq ScaleType Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods (==) :: ScaleType -> ScaleType -> Bool Source # (/=) :: ScaleType -> ScaleType -> Bool Source #
Ord ScaleType Source # |

Instance details

Defined in Bindings.HDF5.PropertyList.DCPL

Methods

compare :: ScaleType -> ScaleType -> Ordering Source #

(<) :: ScaleType -> ScaleType -> Bool Source #

(<=) :: ScaleType -> ScaleType -> Bool Source #

(>) :: ScaleType -> ScaleType -> Bool Source #

(>=) :: ScaleType -> ScaleType -> Bool Source #

max :: ScaleType -> ScaleType -> ScaleType Source #

min :: ScaleType -> ScaleType -> ScaleType Source #

setScaleOffset :: DatasetCreationPropertyList t => t -> ScaleType -> CInt -> IO () Source #

setFillValue :: (DatasetCreationPropertyList t, NativeType a) => t -> a -> IO () Source #

getFillValue :: (DatasetCreationPropertyList t, NativeType a) => t -> IO a Source #

data FillValueDefaultType Source #

Constructors

Undefined |
DefaultFillValue |
UserDefined |

#### Instances

Instances details

Bounded FillValueDefaultType Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods minBound :: FillValueDefaultType Source # maxBound :: FillValueDefaultType Source #
Enum FillValueDefaultType Source # |

Instance details

Defined in Bindings.HDF5.PropertyList.DCPL

Methods

succ :: FillValueDefaultType -> FillValueDefaultType Source #

pred :: FillValueDefaultType -> FillValueDefaultType Source #

toEnum :: Int -> FillValueDefaultType Source #

fromEnum :: FillValueDefaultType -> Int Source #

enumFrom :: FillValueDefaultType -> [FillValueDefaultType] Source #

enumFromThen :: FillValueDefaultType -> FillValueDefaultType -> [FillValueDefaultType] Source #

enumFromTo :: FillValueDefaultType -> FillValueDefaultType -> [FillValueDefaultType] Source #

enumFromThenTo :: FillValueDefaultType -> FillValueDefaultType -> FillValueDefaultType -> [FillValueDefaultType] Source #

Read FillValueDefaultType Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods readsPrec :: Int -> ReadS FillValueDefaultType Source # readList :: ReadS [FillValueDefaultType] Source # readPrec :: ReadPrec FillValueDefaultType Source # readListPrec :: ReadPrec [FillValueDefaultType] Source #
Show FillValueDefaultType Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods showsPrec :: Int -> FillValueDefaultType -> ShowS Source # show :: FillValueDefaultType -> String Source # showList :: [FillValueDefaultType] -> ShowS Source #
Eq FillValueDefaultType Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods (==) :: FillValueDefaultType -> FillValueDefaultType -> Bool Source # (/=) :: FillValueDefaultType -> FillValueDefaultType -> Bool Source #
Ord FillValueDefaultType Source # |

Instance details

Defined in Bindings.HDF5.PropertyList.DCPL

Methods

compare :: FillValueDefaultType -> FillValueDefaultType -> Ordering Source #

(<) :: FillValueDefaultType -> FillValueDefaultType -> Bool Source #

(<=) :: FillValueDefaultType -> FillValueDefaultType -> Bool Source #

(>) :: FillValueDefaultType -> FillValueDefaultType -> Bool Source #

(>=) :: FillValueDefaultType -> FillValueDefaultType -> Bool Source #

max :: FillValueDefaultType -> FillValueDefaultType -> FillValueDefaultType Source #

min :: FillValueDefaultType -> FillValueDefaultType -> FillValueDefaultType Source #

fillValueDefined :: DatasetCreationPropertyList t => t -> IO FillValueDefaultType Source #

data AllocTime Source #

Constructors

DefaultAllocTime |
Early |
Late |
Incr |

#### Instances

Instances details

Bounded AllocTime Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods minBound :: AllocTime Source # maxBound :: AllocTime Source #
Enum AllocTime Source # |

Instance details

Defined in Bindings.HDF5.PropertyList.DCPL

Methods

succ :: AllocTime -> AllocTime Source #

pred :: AllocTime -> AllocTime Source #

toEnum :: Int -> AllocTime Source #

fromEnum :: AllocTime -> Int Source #

enumFrom :: AllocTime -> [AllocTime] Source #

enumFromThen :: AllocTime -> AllocTime -> [AllocTime] Source #

enumFromTo :: AllocTime -> AllocTime -> [AllocTime] Source #

enumFromThenTo :: AllocTime -> AllocTime -> AllocTime -> [AllocTime] Source #

Read AllocTime Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods readsPrec :: Int -> ReadS AllocTime Source # readList :: ReadS [AllocTime] Source # readPrec :: ReadPrec AllocTime Source # readListPrec :: ReadPrec [AllocTime] Source #
Show AllocTime Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods showsPrec :: Int -> AllocTime -> ShowS Source # show :: AllocTime -> String Source # showList :: [AllocTime] -> ShowS Source #
Eq AllocTime Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods (==) :: AllocTime -> AllocTime -> Bool Source # (/=) :: AllocTime -> AllocTime -> Bool Source #
Ord AllocTime Source # |

Instance details

Defined in Bindings.HDF5.PropertyList.DCPL

Methods

compare :: AllocTime -> AllocTime -> Ordering Source #

(<) :: AllocTime -> AllocTime -> Bool Source #

(<=) :: AllocTime -> AllocTime -> Bool Source #

(>) :: AllocTime -> AllocTime -> Bool Source #

(>=) :: AllocTime -> AllocTime -> Bool Source #

max :: AllocTime -> AllocTime -> AllocTime Source #

min :: AllocTime -> AllocTime -> AllocTime Source #

setAllocTime :: DatasetCreationPropertyList t => t -> AllocTime -> IO () Source #

getAllocTime :: DatasetCreationPropertyList t => t -> IO AllocTime Source #

data FillTime Source #

Constructors

Alloc |
Never |
IfSet |

#### Instances

Instances details

Bounded FillTime Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods minBound :: FillTime Source # maxBound :: FillTime Source #
Enum FillTime Source # |

Instance details

Defined in Bindings.HDF5.PropertyList.DCPL

Methods

succ :: FillTime -> FillTime Source #

pred :: FillTime -> FillTime Source #

toEnum :: Int -> FillTime Source #

fromEnum :: FillTime -> Int Source #

enumFrom :: FillTime -> [FillTime] Source #

enumFromThen :: FillTime -> FillTime -> [FillTime] Source #

enumFromTo :: FillTime -> FillTime -> [FillTime] Source #

enumFromThenTo :: FillTime -> FillTime -> FillTime -> [FillTime] Source #

Read FillTime Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods readsPrec :: Int -> ReadS FillTime Source # readList :: ReadS [FillTime] Source # readPrec :: ReadPrec FillTime Source # readListPrec :: ReadPrec [FillTime] Source #
Show FillTime Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods showsPrec :: Int -> FillTime -> ShowS Source # show :: FillTime -> String Source # showList :: [FillTime] -> ShowS Source #
Eq FillTime Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods (==) :: FillTime -> FillTime -> Bool Source # (/=) :: FillTime -> FillTime -> Bool Source #
Ord FillTime Source # |
Instance details Defined in Bindings.HDF5.PropertyList.DCPL Methods compare :: FillTime -> FillTime -> Ordering Source # (<) :: FillTime -> FillTime -> Bool Source # (<=) :: FillTime -> FillTime -> Bool Source # (>) :: FillTime -> FillTime -> Bool Source # (>=) :: FillTime -> FillTime -> Bool Source # max :: FillTime -> FillTime -> FillTime Source # min :: FillTime -> FillTime -> FillTime Source #

setFillTime :: DatasetCreationPropertyList t => t -> FillTime -> IO () Source #

getFillTime :: DatasetCreationPropertyList t => t -> IO FillTime Source #